---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libhs203t004.dylib'
relocations:
  - { offsetInCU: 0x6D9, offset: 0x6D9, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x52250, symBinAddr: 0xC210, symSize: 0x0 }
  - { offsetInCU: 0x700, offset: 0x700, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x54190, symBinAddr: 0xE150, symSize: 0x0 }
  - { offsetInCU: 0x722, offset: 0x722, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x54580, symBinAddr: 0xE540, symSize: 0x0 }
  - { offsetInCU: 0x744, offset: 0x744, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x55520, symBinAddr: 0xF4E0, symSize: 0x0 }
  - { offsetInCU: 0x759, offset: 0x759, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x55530, symBinAddr: 0xF4F0, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x51ED0, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0x7DF, offset: 0x7DF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x51ED4, symBinAddr: 0xC0D4, symSize: 0x0 }
  - { offsetInCU: 0x7EA, offset: 0x7EA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x51ED8, symBinAddr: 0xC0D8, symSize: 0x0 }
  - { offsetInCU: 0x82F, offset: 0x82F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x52030, symBinAddr: 0xC0E0, symSize: 0x0 }
  - { offsetInCU: 0x8A8, offset: 0x8A8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x520E8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8C6, offset: 0x8C6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x520EC, symBinAddr: 0xC19C, symSize: 0x0 }
  - { offsetInCU: 0x8DF, offset: 0x8DF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x520F0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8F8, offset: 0x8F8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x520F4, symBinAddr: 0xC1A4, symSize: 0x0 }
  - { offsetInCU: 0x911, offset: 0x911, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x520F8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8F00, offset: 0x8F00, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x52100, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x8F89, offset: 0x8F89, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x52118, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x8FA2, offset: 0x8FA2, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x52120, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x8FBB, offset: 0x8FBB, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x52128, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x8FD4, offset: 0x8FD4, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x52130, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x8FEE, offset: 0x8FEE, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x52138, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x90D4, offset: 0x90D4, size: 0x8, addend: 0x0, symName: __ZL14redefineNumber, symObjAddr: 0x5217C, symBinAddr: 0xC1FC, symSize: 0x0 }
  - { offsetInCU: 0x90ED, offset: 0x90ED, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x52180, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x913F, offset: 0x913F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2AA0, symSize: 0x80 }
  - { offsetInCU: 0x91D4, offset: 0x91D4, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x29F0, symSize: 0xB0 }
  - { offsetInCU: 0x922F, offset: 0x922F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x28F0, symSize: 0x100 }
  - { offsetInCU: 0x94C2, offset: 0x94C2, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2B20, symSize: 0xC0 }
  - { offsetInCU: 0x9514, offset: 0x9514, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2BE0, symSize: 0x220 }
  - { offsetInCU: 0x96F9, offset: 0x96F9, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2E00, symSize: 0xA0 }
  - { offsetInCU: 0x97AC, offset: 0x97AC, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2EA0, symSize: 0x110 }
  - { offsetInCU: 0x98A2, offset: 0x98A2, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x2FB0, symSize: 0x150 }
  - { offsetInCU: 0x99D3, offset: 0x99D3, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3100, symSize: 0x30 }
  - { offsetInCU: 0x9AE0, offset: 0x9AE0, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3130, symSize: 0x150 }
  - { offsetInCU: 0x9CD8, offset: 0x9CD8, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3280, symSize: 0x160 }
  - { offsetInCU: 0x9F98, offset: 0x9F98, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x33E0, symSize: 0x4A0 }
  - { offsetInCU: 0xA231, offset: 0xA231, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x3880, symSize: 0x1B0 }
  - { offsetInCU: 0xA44C, offset: 0xA44C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3A30, symSize: 0xA0 }
  - { offsetInCU: 0xA573, offset: 0xA573, size: 0x8, addend: 0x0, symName: _nsk_jvmti_redefineClass, symObjAddr: 0x2C40, symBinAddr: 0x3AD0, symSize: 0x2D0 }
  - { offsetInCU: 0xA855, offset: 0xA855, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3DA0, symSize: 0x20 }
  - { offsetInCU: 0xA88C, offset: 0xA88C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3DC0, symSize: 0x20 }
  - { offsetInCU: 0xA8C3, offset: 0xA8C3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3DE0, symSize: 0x20 }
  - { offsetInCU: 0xAAB6, offset: 0xAAB6, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3E00, symSize: 0x1A0 }
  - { offsetInCU: 0xADDC, offset: 0xADDC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x3FA0, symSize: 0x80 }
  - { offsetInCU: 0xAEA5, offset: 0xAEA5, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4020, symSize: 0x6A0 }
  - { offsetInCU: 0xBA3A, offset: 0xBA3A, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA910, symBinAddr: 0x5AC0, symSize: 0xB0 }
  - { offsetInCU: 0xBAB1, offset: 0xBAB1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x46C0, symSize: 0x70 }
  - { offsetInCU: 0xBBA5, offset: 0xBBA5, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x4730, symSize: 0xA0 }
  - { offsetInCU: 0xBCDC, offset: 0xBCDC, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x47D0, symSize: 0x40 }
  - { offsetInCU: 0xBDD2, offset: 0xBDD2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4810, symSize: 0x2B0 }
  - { offsetInCU: 0xC178, offset: 0xC178, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x4AC0, symSize: 0xC0 }
  - { offsetInCU: 0xC2BE, offset: 0xC2BE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x4B80, symSize: 0x10 }
  - { offsetInCU: 0xC380, offset: 0xC380, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x4B90, symSize: 0x220 }
  - { offsetInCU: 0xC67D, offset: 0xC67D, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x4DB0, symSize: 0x10 }
  - { offsetInCU: 0xC6DA, offset: 0xC6DA, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x4DC0, symSize: 0x2A0 }
  - { offsetInCU: 0xCA15, offset: 0xCA15, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9EB0, symBinAddr: 0x5060, symSize: 0x10 }
  - { offsetInCU: 0xCA9B, offset: 0xCA9B, size: 0x8, addend: 0x0, symName: _callbackClassPrepare, symObjAddr: 0x9EC0, symBinAddr: 0x5070, symSize: 0x230 }
  - { offsetInCU: 0xCDEA, offset: 0xCDEA, size: 0x8, addend: 0x0, symName: _callbackCompiledMethodLoad, symObjAddr: 0xA0F0, symBinAddr: 0x52A0, symSize: 0x460 }
  - { offsetInCU: 0xD2C6, offset: 0xD2C6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS203_hs203t004_hs203t004_suspendThread, symObjAddr: 0xA550, symBinAddr: 0x5700, symSize: 0xE0 }
  - { offsetInCU: 0xD40E, offset: 0xD40E, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS203_hs203t004_hs203t004_popThreadFrame, symObjAddr: 0xA630, symBinAddr: 0x57E0, symSize: 0x210 }
  - { offsetInCU: 0xD68D, offset: 0xD68D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_hotswap_HS203_hs203t004_hs203t004_resumeThread, symObjAddr: 0xA840, symBinAddr: 0x59F0, symSize: 0xD0 }
  - { offsetInCU: 0xD7AE, offset: 0xD7AE, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA9C0, symBinAddr: 0x5B70, symSize: 0x36A }
...
